/**
 * Created by CSL on 2017-10-25.
 */

let express = require('express');
let cpController = require('../controllers/calc_program_controller');

module.exports = function (app) {

    var cpRouter = express.Router();

    cpRouter.post('/getProjectCalcProgram', cpController.getProjectCalcProgram);
    cpRouter.post('/getStdCalcProgram', cpController.getStdCalcProgram);
    cpRouter.post('/saveCalcItem', cpController.saveCalcItem);
    cpRouter.post('/saveCalcItems', cpController.saveCalcItems);
    cpRouter.post('/updateTemplate', cpController.updateTemplate);
    cpRouter.post('/updateTemplateFile', cpController.updateTemplateFile);
    cpRouter.post('/addTemplate', cpController.addTemplate);
    cpRouter.post('/deleteTemplate', cpController.deleteTemplate);

    app.use('/calcProgram',cpRouter);
}




